<?

// escribir aqui el nombre de la camara para 10,20 y 30 minutos; ( Para las camaras de refrigerado).
$nombrecamara1="Camara de refrigerado;pre- camara ;Riffer3  de refrigerado;Riffer  de fruta";

// escribir aqui el nombre de la camara para 60,90,120 minutos. (Para las camaras de congelado )
$nombrecamara2="Camara de congelado;Riffer2  de  congelado;Pre Camara de  Congelado";


for ($i=0; $i < $totalcamaras; $i++) {	
	$correo="";
	if (@$alarmanueva["activo_".$i]) {
		$diftiempo=ceil((mktime()-@$alarmanueva[$i]) / 60); // minutos
		$nivel=@$alarmanueva["nivel_".$i];
		
		if (strpos($nombrecamara1,$camaras[$i]["nombre_camara"])!==false) {		
			switch($nivel) {
				case 0:
					if ($diftiempo>=10) {
						$alarmanueva["nivel_".$i]=1; // subimos un nivel
						$correo="fbrito@guallarauco.cl;cpino@guallarauco.cl;Calidad.colina@novaverde.cl;jorge.atsintech@gmail.com;fernando.atsintech@gmail.com";
					}
					break;
				case 1:
					if ($diftiempo>=20) {
						$alarmanueva["nivel_".$i]=2; // subimos un nivel
						$correo="fbrito@guallarauco.cl;cpino@guallarauco.cl;Calidad.colina@novaverde.cl;jorge.atsintech@gmail.com;fernando.atsintech@gmail.com;aadaros@guallarauco.cl;agonzalez@guallarauco.cl";
					}			
					break;
				case 2:
					if ($diftiempo>=30) {
						$alarmanueva["nivel_".$i]=3; // subimos un nivel (subimos a un nivel que no hay valor)
						$correo="fbrito@guallarauco.cl;cpino@guallarauco.cl;Calidad.colina@novaverde.cl;jorge.atsintech@gmail.com;fernando.atsintech@gmail.com;aadaros@guallarauco.cl;agonzalez@guallarauco.cl;raguayo@guallarauco.cl;jlpiwonka@guallarauco.cl";
					}		
					break;			
				case 3:
					$alarmanueva["nivel_".$i]=4;
					break;					
			}
		}
		if (strpos($nombrecamara2,$camaras[$i]["nombre_camara"])!==false) {
			switch($nivel) {
				case 0:
					if ($diftiempo>=60) {
						$alarmanueva["nivel_".$i]=1; // subimos un nivel
						$correo="fbrito@guallarauco.cl;cpino@guallarauco.cl;Calidad.colina@novaverde.cl;jorge.atsintech@gmail.com;fernando.atsintech@gmail.com";
					}
					break;
				case 1:
					if ($diftiempo>=90) {
						$alarmanueva["nivel_".$i]=2; // subimos un nivel
						$correo="fbrito@guallarauco.cl;cpino@guallarauco.cl;Calidad.colina@novaverde.cl;jorge.atsintech@gmail.com;fernando.atsintech@gmail.com;aadaros@guallarauco.cl;agonzalez@guallarauco.cl";
					}			
					break;
				case 2:
					if ($diftiempo>=120) {
						$alarmanueva["nivel_".$i]=3; // subimos un nivel (subimos a un nivel que no hay valor)
						$correo="fbrito@guallarauco.cl;cpino@guallarauco.cl;Calidad.colina@novaverde.cl;jorge.atsintech@gmail.com;fernando.atsintech@gmail.com;aadaros@guallarauco.cl;agonzalez@guallarauco.cl;raguayo@guallarauco.cl;jlpiwonka@guallarauco.cl";
					}		
					break;			
				case 3:
					$alarmanueva["nivel_".$i]=4;
					break;
			}
			
		}
		
	}
	// envio de correo
	if ($correo) {
		// borrar la linea siguiente: *********************
		// $correo="jorge.atsintech@gmail.com";
		// fin borrar. ************************
		
		require_once('phpmailer\class.phpmailer.php');
		$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
		$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
		$fechaesp=$dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y');	
		
		$body="<b>Se ha registrado una alerta en el sistema de termometria (".$fechaesp.") en la siguiente camara:</b><br>";
		$body.="<ul>";			
		$body.="<li>".$camaras[$i]["nombre_camara"].". Duracion ".$diftiempo." minutos</li>";				
		$body.="</ul><br>";
		$body.="--<br>";
		$body.="Atentamente<br>";
		$body.="Sistema de Termometria<br>";
		$correoenviar=explode(";",$correo);
		
		foreach($correoenviar as $value) {
			macroemail($value,"Alerta Sistema de Termometria - Administración",$body);
		}
	}			
}
@apc_store("alarmanueva",$alarmanueva);	
?>